# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               liblscp
%define rev         2342
%define soname      6
Version:            0.0+r%{rev}
Release:            1.4
Summary:            LinuxSampler Control Protocol Library
Source:             liblscp-%{rev}.tar.bz2
Patch1:             liblscp-remove_build_timestamps.patch
URL:                http://linuxsampler.org
Group:              System/Libraries
License:            LGPL-2.1+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
liblscp is an implementation of the LinuxSampler control protocol,
proposed as a C language API.

%package -n liblscp%{soname}
Summary:            LinuxSampler Control Protocol Library
Group:              System/Libraries

%description -n liblscp%{soname}
liblscp is an implementation of the LinuxSampler control protocol,
proposed as a C language API.

%package -n liblscp-devel
Summary:            LinuxSampler Control Protocol Library
Group:              Development/Libraries/C and C++
Requires:           liblscp%{soname} = %{version}

%description -n liblscp-devel
liblscp is an implementation of the LinuxSampler control protocol,
proposed as a C language API.

%prep
%setup -q -n liblscp
%patch1

%build
[ -e ./configure ] || %__make -f Makefile.svn configure
%configure
%__make %{?_smp_mflags}

%install
%makeinstall
%__rm "%{buildroot}%{_libdir}/liblscp".{a,la}

%post   -n liblscp%{soname} -p /sbin/ldconfig
%postun -n liblscp%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n liblscp%{soname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/liblscp.so.%{soname}
%{_libdir}/liblscp.so.%{soname}.*

%files -n liblscp-devel
%defattr(-,root,root)
%{_includedir}/lscp
%{_libdir}/liblscp.so
%{_libdir}/pkgconfig/lscp.pc

%changelog
* Mon Apr 16 2012 pascal.bleser@opensuse.org
- initial version (0.0+r%%{rev})
